package com.goafanti.cognizance.bo;

public class AnnualReportPropertyRightBo {
	private String uid;
	
	/**
	 * 发明专利数
	 */
	private Integer inventionPatent;
	
	/**
	 * 国防专利数
	 */
	private Integer defensePatent;
	
	/**
	 * 国家级农作物品种数
	 */
	private Integer nationalCrop;
	
	/**
	 * 植物新品种数
	 */
	private Integer newPlantCariety;
	
	/**
	 * 国家新药数
	 */
	private Integer nationalDrug;
	
	/**
	 * 国家一级中药保护品种数
	 */
	private Integer chineseMedicine;
	
	/**
	 * 实用新型专利数
	 */
	private Integer utilityPatent;
	
	/**
	 * 集成电路布图设计专有权数
	 */
	private Integer circuitDesign;
	
	/**
	 * 外观设计专利数
	 */
	private Integer exteriorPatent;
	
	/**
	 * 软件著作权数
	 */
	private Integer softwareWorks;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getInventionPatent() {
		return inventionPatent;
	}

	public void setInventionPatent(Integer inventionPatent) {
		this.inventionPatent = inventionPatent;
	}

	public Integer getDefensePatent() {
		return defensePatent;
	}

	public void setDefensePatent(Integer defensePatent) {
		this.defensePatent = defensePatent;
	}

	public Integer getNationalCrop() {
		return nationalCrop;
	}

	public void setNationalCrop(Integer nationalCrop) {
		this.nationalCrop = nationalCrop;
	}

	public Integer getNewPlantCariety() {
		return newPlantCariety;
	}

	public void setNewPlantCariety(Integer newPlantCariety) {
		this.newPlantCariety = newPlantCariety;
	}

	public Integer getNationalDrug() {
		return nationalDrug;
	}

	public void setNationalDrug(Integer nationalDrug) {
		this.nationalDrug = nationalDrug;
	}

	public Integer getChineseMedicine() {
		return chineseMedicine;
	}

	public void setChineseMedicine(Integer chineseMedicine) {
		this.chineseMedicine = chineseMedicine;
	}

	public Integer getUtilityPatent() {
		return utilityPatent;
	}

	public void setUtilityPatent(Integer utilityPatent) {
		this.utilityPatent = utilityPatent;
	}

	public Integer getCircuitDesign() {
		return circuitDesign;
	}

	public void setCircuitDesign(Integer circuitDesign) {
		this.circuitDesign = circuitDesign;
	}

	public Integer getExteriorPatent() {
		return exteriorPatent;
	}

	public void setExteriorPatent(Integer exteriorPatent) {
		this.exteriorPatent = exteriorPatent;
	}

	public Integer getSoftwareWorks() {
		return softwareWorks;
	}

	public void setSoftwareWorks(Integer softwareWorks) {
		this.softwareWorks = softwareWorks;
	} 
	
	

}
